-- Step 1: nessecary objects - table and types
CREATE TABLE test_ap
    (a                              NUMBER,
    b                              VARCHAR2(2000),
    c                              VARCHAR2(2000),
    d                              VARCHAR2(2000),
    e                              NUMBER,
    f                              NUMBER)
  PARTITION BY RANGE (A)
  (
  PARTITION k250 VALUES LESS THAN (250000),
  PARTITION k500 VALUES LESS THAN (500000),
  PARTITION k750 VALUES LESS THAN (750000),
  PARTITION m1 VALUES LESS THAN (1000000),
  PARTITION m100 VALUES LESS THAN (100000000)
  )
/
CREATE UNIQUE INDEX test_ap_pk ON test_ap
  (
    a                               ASC
  )
  LOCAL (
  PARTITION K250,
  PARTITION K500,
  PARTITION K750,
  PARTITION M1,
  PARTITION M100
  )
/
CREATE TABLE TestC
    (c1                             NUMBER,
    c2                             VARCHAR2(4000),
    c3                             VARCHAR2(10),
    c4                             DATE,
    c5                             NUMBER)
/
begin
    for i in 1..1000000
    loop
        insert into test_ap
        values(i,i||'qqqqqqqqqqqqqqq','rrr'||i,
               to_char(i*5)||'ffffff'||to_char(i*10),
               i*2, 
               i*1.3245);
    end loop;
end;
/
CREATE OR REPLACE 
type testb1_t is object
(a1 number,
 a2 number,
 bc varchar2(2000),
 de varchar2(2000),
 cd varchar2(2000),
 e  number,
 ef number)
/
CREATE OR REPLACE 
type testb2_t is object
(a1 number,
 a12 number,
 bcde varchar2(2000),
 decd varchar2(2000),
 eef  number,
 x_dt date,
 y number,
 z number)
/
CREATE OR REPLACE 
type testb1_tt is table of testb1_t
/
CREATE OR REPLACE 
type testb2_tt is table of testb2_t
/

