truncate table testC
/
declare  
    b1 testB1_tt:=testB1_tt();
    b2 testB2_tt:=testB2_tt();
BEGIN
    select testb1_t(
           a,
           a/3, --ln(a),
           b||c,
           d||e,
           c||d,
           e,
           e*f
           )
    bulk collect into b1
    from test_AP
    where a <250000;
    
    select testB2_t(a1,
                   a1*a2,
                   bc||de,
                   de||cd,
                   e-ef,
                   to_date('20050301','YYYYMMDD'),--sysdate,
                   a1+a1/15,  --tan(a1),
                   abs(ef)
                   )
    bulk collect into b2
    from table(cast (b1 as testB1_tt));

    insert into testC
    select a1-a12 c1, bcde||decd c2, substr(bcde,1,10) c3, 
            add_months(x_dt,-20) c4, y*z c5
    from table(cast(b2 as testb2_tt));
END; 
/

