truncate table testC
/
declare
    b1 testB1_tt:=testb1_tt();
    b2 testB2_tt:=testb2_tt();
BEGIN
    select testb1_t(
           a,
           a/3, --ln(a),
           b||c,
           d||e,
           c||d,
           e,
           e*f
           )
    bulk collect into b1
    from test_AP
    where a <250000;

    for i in b1.first..b1.last loop
        b2.extend;
        b2(i):=testB2_t(b1(i).a1,
                   b1(i).a1*b1(i).a2,
                   b1(i).bc||b1(i).de,
                   b1(i).de||b1(i).cd,
                   b1(i).e-b1(i).ef,
                   to_date('20050301','YYYYMMDD'),--sysdate,
                   b1(i).a1+b1(i).a1/15,  --tan(a1),
                   abs(b1(i).ef)
                   );
    end loop;

    insert into testC
    select a1-a12 c1, bcde||decd c2, substr(bcde,1,10) c3, add_months(x_dt,-20) c4, y*z c5
    from table(cast(b2 as testb2_tt));

END;
/

