truncate table testC
/
declare
    b1 testB1_tt:=testb1_tt();
    b2 testB2_tt:=testb2_tt();
    cursor c1
    is
    select testb1_t(
           a,
           a/3, 
           --ln(a),
           b||c,
           d||e,
           c||d,
           e,
           e*f
           ) b
    from test_AP
    where a < 1000000;
    --where a <250000;   
 
    a1 number_tt:=number_tt();
    a12 number_tt:=number_tt();
    bcde varchar2_tt:=varchar2_tt();  
    decd varchar2_tt:=varchar2_tt();  
    eef number_tt:=number_tt();
    x_dt date_tt:=date_tt();
    y number_tt:=number_tt();
    z number_tt:=number_tt();
    
BEGIN
    open c1;
    loop
        fetch c1 bulk collect into b1 limit 1000;     

        a1.delete;
        a12.delete;
        bcde.delete;
        decd.delete;
        eef.delete;
        x_dt.delete;
        y.delete;
        z.delete;

        for i in b1.first..b1.last loop
            a1.extend;
            a1(i):=b1(i).a1;
            
            a12.extend;
            a12(i):=b1(i).a1*b1(i).a2;            

            bcde.extend;
            bcde(i):=b1(i).bc||b1(i).de;            

            decd.extend;
            decd(i):=b1(i).de||b1(i).cd;                        
            
            eef.extend;
            eef(i):=b1(i).e-b1(i).ef;                        

            x_dt.extend;
            x_dt(i):=to_date('20050301','YYYYMMDD');                        

            y.extend;
            y(i):=b1(i).a1+b1(i).a1/15;                        
            
            z.extend;
            z(i):=abs(b1(i).ef);                                                                        
            
        end loop;        
        
        forall i in a1.first..a1.last
        insert into testC
        values ( a1(i)-a12(i), bcde(i)||decd(i), substr(bcde(i),1,10), add_months(x_dt(i),-20), y(i)*z(i));
        
        exit when c1%notfound;
    end loop;
    close c1;
END;
/