CREATE OR REPLACE 
PACKAGE mig
  IS
  type mig2_tt is table of number
  index by binary_integer;
  
  v_mig2_tt mig2_tt;
  
  function f_log_id (in_nr number) return number;
  
  function f_get_id (in_nr number) return number;

END; -- Package spec
/


CREATE OR REPLACE 
PACKAGE BODY mig
IS

  function f_log_id (in_nr number) return number
  is
    v_nr number;
  begin
    select mig_seq.nextval
    into v_nr
    from dual;
    
    v_mig2_tt(in_nr):=v_nr;
    
    return v_nr;
  end;

  function f_get_id (in_nr number) return number
  is
  begin
    return v_mig2_tt(in_nr);
  end;

END;
/

truncate table migA
/
truncate table migB
/
truncate table migC
/
begin
    insert into migA 
    (a_oid,        
    v1_tx ,    v2_tx ,    v3_tx ,    v4_tx ,    v5_tx ,    v6_tx ,    v7_tx ,    v8_tx ,    v9_tx ,    v10_tx,
    v11_tx,    v12_tx,    v13_tx,    v14_tx,    v15_tx,    v16_tx,    v17_tx,    v18_tx,    v19_tx,    v20_tx,
    v21_tx,    v22_tx,    v23_tx,    v24_tx,    v25_tx,    v26_tx,    v27_tx,    v28_tx,    v29_tx,    v30_tx,
    v31_tx,    v32_tx,    v33_tx,    v34_tx,    v35_tx,    v36_tx,    v37_tx,    v38_tx,    v39_tx,    v40_tx
    )
    select mig.f_log_id(sm_oid) a_oid,
    v1_tx ,    v2_tx ,    v3_tx ,    v4_tx ,    v5_tx ,    v6_tx ,    v7_tx ,    v8_tx ,    v9_tx ,    v10_tx ,
    v11_tx,    v12_tx,    v13_tx,    v14_tx,    v15_tx,    v16_tx,    v17_tx,    v18_tx,    v19_tx,    v20_tx,
    v21_tx,    v22_tx,    v23_tx,    v24_tx,    v25_tx,    v26_tx,    v27_tx,    v28_tx,    v29_tx,    v30_tx,
    v31_tx,    v32_tx,    v33_tx,    v34_tx,    v35_tx,    v36_tx,    v37_tx,    v38_tx,    v39_tx,    v40_tx
    from sm_test_all
    where rownum < 250000;
    
    insert into migB
        (b_oid,
        v1_nr ,    v2_nr ,    v3_nr ,    v4_nr ,    v5_nr ,    v6_nr ,    v7_nr ,    v8_nr ,    v9_nr ,    v10_nr,
        v11_nr,    v12_nr,    v13_nr,    v14_nr,    v15_nr,    v16_nr,    v17_nr,    v18_nr,    v19_nr,    v20_nr,
        v21_nr,    v22_nr,    v23_nr,    v24_nr,    v25_nr,    v26_nr,    v27_nr,    v28_nr,    v29_nr,    v30_nr,
        v31_nr,    v32_nr,    v33_nr,    v34_nr,    v35_nr,    v36_nr,    v37_nr,    v38_nr,    v39_nr,    v40_nr,        
        a_oid)
    select mig_seq.nextval,
        v1_nr ,    v2_nr ,    v3_nr ,    v4_nr ,    v5_nr ,    v6_nr ,    v7_nr ,    v8_nr ,    v9_nr ,    v10_nr,
        v11_nr,    v12_nr,    v13_nr,    v14_nr,    v15_nr,    v16_nr,    v17_nr,    v18_nr,    v19_nr,    v20_nr,
        v21_nr,    v22_nr,    v23_nr,    v24_nr,    v25_nr,    v26_nr,    v27_nr,    v28_nr,    v29_nr,    v30_nr,
        v31_nr,    v32_nr,    v33_nr,    v34_nr,    v35_nr,    v36_nr,    v37_nr,    v38_nr,    v39_nr,    v40_nr,               
        mig.f_get_id(sm_oid)a_oid
    from sm_test_all
    where rownum < 250000;

    insert into migC (c_oid, 
                          a,b,c,d,e, 
                          a_oid)
    select mig_seq.nextval, 
               a, b, c, d, e,
           mig.f_get_id(sm_oid)a_oid
    from sm_test_all
    where rownum < 250000;
end;
/